Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Euler

Sửa nhiều text có giá trị khác nhau về 1 giá trị

Các bài được khuyến nghị

Em nhờ các anh viết lisp giúp em: Em muốn đồng bộ hóa nhiều Text với các giá trị khác nhau về 1 giá trị (Nghĩa là sau khi dùng lisp xong thì các text có giá trị khác nhau ấy sẽ có cùng 1 giá trị giống nhau). Thanks!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em nhờ các anh viết lisp giúp em: Em muốn đồng bộ hóa nhiều Text với các giá trị khác nhau về 1 giá trị (Nghĩa là sau khi dùng lisp xong thì các text có giá trị khác nhau ấy sẽ có cùng 1 giá trị giống nhau). Thanks!!!

Dùng cái này đi bạn :


(defun bylayer (lname)

(if (null (assoc 62 lname)) (setq lname (append lname (list (cons 62 256)))))

lname)

;---------------------------------------------

;;Sua nhieu chu theo tinh chat cua mot chu chon lam mau

(defun c:Tchtext (/ SS1 Ename Ans Eget ds1 ds2 Count En Eg)

(setvar "cmdecho" 0)

(princ "\nChon cac chu can thay doi")

(while (null (setq SS1 (ssget (list (cons 0 "Text"))))) (princ "\nKhong co doi tuong"))

(while (or (null (setq Ename (car (entsel "\nChon 1 chu lam mau"))))

(/= "TEXT" (cdr (assoc 0 (entget ename)))))

(princ "\nKhong co doi tuong, hoac do khong phai la Text.")) ;while

(setq Eget (bylayer (entget Ename)))

(setq ds1 (list "Text" "Height" "Rotation" "Width" "Obliquing" "Style" "Color" "Layer")

ds2 (list 1 40 50 41 51 7 62 8));setq

(initget "Text Height Rotation Width Obliquing Style Color Layer")

(setq Ans (getkword "\nText Height Rotation Width Obliquing Style Color Layer <Enter=Exit>"))

(mapcar '(lambda (a B)

(if (= Ans a)

(progn

(setq Count 0)

(repeat (sslength SS1)

(setq En (ssname SS1 Count) Eg (bylayer (entget En)))

(setq Eg (subst (assoc b Eget) (assoc b Eg) Eg))

(setq Count (1+ Count))

(entmod Eg));repeat

))) ds1 ds2) ;mapcar

(setq SS1 nil Ename nil)

(setvar "cmdecho" 1)

(princ))

 

Muốn đồng bộ hóa nội dung text thì nhập : T

khi chương trình hỏi : Text Height Rotation Width Obliquing Style Color Layer <Enter=Exit>

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×